> For the complete documentation index, see [llms.txt](https://docs.geopard.tech/geopard-tutorials/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.geopard.tech/geopard-tutorials/jpn/apidokyumento/geopard-api-requests-overview/82.-query-restore-subscription-events.md).

# 82. クエリ: サブスクリプションイベントを復元

配信済みと生成済みのサブスクリプションイベントを復元・再確認できるようにしておくのは、常に有効な運用方法です。そのため GeoPard は、生成されたすべてのサブスクリプションイベントの履歴を **過去12か月分**.

主な用途：

* インターネット接続が不安定で、イベントが配信されなかった
* WebSocketリスナーの再デプロイ
* 受信イベントと生成イベントの整合性を確認する

{% code overflow="wrap" lineNumbers="true" %}

```graphql
  getPlatformEvents(input: {
    dateFrom: "2023-05-25T12:49:00.000Z", 
    dateTo: "2023-05-30T06:35:00.000Z", 
    userUuids: ["<placeholder_of_user_uuid>"]
  }){
    events {
      executionDate
      event {
        uuid
        userUuid
        action
        nodePath {
          entity
          uuid
        }
      }
    } 
  }
}
```

{% endcode %}

サポートされている入力フィルター：

* `dateFrom` ISO 8701形式の日時（例: `"2023-05-25T12:49:00.000Z"`)
* `dateTo` ISO 8701形式の日時（例: `"2023-05-30T06:35:00.000Z"`)
* `farmUuids` 検索対象の「Farm」UUIDの配列
* `fieldUuids` 検索対象の「Field」UUIDの配列
* `userUuids` 検索する「User」のUUIDの配列
* `eventUuids` サブスクリプション「Event」UUIDの配列

{% hint style="info" %}
すべてのフィルターは論理演算子 **AND**.
{% endhint %}

{% hint style="info" %}
各サブスクリプションイベントには、 `executionDate` 属性があり、送信時刻を示します。形式はISO 8601日時と互換性のあるAWSDateTimeです。
{% endhint %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.geopard.tech/geopard-tutorials/jpn/apidokyumento/geopard-api-requests-overview/82.-query-restore-subscription-events.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
